--[[
strings.lua

Strings for ChatLink.  Makes for easy editing and localization.
]]--

-- ENGLISH LANGUAGE STRINGS.
-- Function strings.
STR_CHATLINK_LOADED = "ChatLink %s loaded."
STR_CHATLINK_LOADED_WARNING = "ChatLink %s loaded, but other chat addons were detected.  Conflicts may occur."

-- System channel names.
STR_GENERAL = "General -"
STR_TRADE = "Trade -"
STR_LFG = "LookingForGroup -"
STR_LOCALDEF = "LocalDefense -"
STR_WORLDDEF = "WorldDefense"
STR_GUILDREC = "GuildRecruitment - "


-- GERMAN LANGUAGE STRINGS.
if (GetLocale() == "deDE") then
	-- Function strings.
	STR_CHATLINK_LOADED = "ChatLink %s geladen."
--	STR_CHATLINK_LOADED_WARNING = "Not translated."

	-- System channel names.
	STR_GENERAL = "Allgemein -"
	STR_TRADE = "Handel -"
	STR_LFG = "SucheNachGruppe -"
	STR_LOCALDEF = "LokaleVerteidigung -"
	STR_WORLDDEF = "WeltVerteidigung"
	STR_GUILDREC = "Gildenrekrutierung - "
end


-- FRENCH LANGUAGE STRINGS.
if (GetLocale() == "frFR") then
	-- Function strings.
	STR_CHATLINK_LOADED = "ChatLink %s charg\195\169."
--	STR_CHATLINK_LOADED_WARNING = "Not translated."

	-- System channel names.
	STR_GENERAL = "G\195\169n\195\169ral -"
	STR_TRADE = "Commerce -"
	STR_LFG = "RechercheGroupe -"
	STR_LOCALDEF = "D\195\169fenseLocale -"
	STR_WORLDDEF = "D\195\169fenseUniverselle"
	STR_GUILDREC = "RecrutementDeGuilde - "
end


-- TRADITIONAL CHINESE LANGUAGE STRINGS.
if (GetLocale() == "zhTW") then
	-- Function strings.
	STR_CHATLINK_LOADED = "ChatLink %s \229\183\178\232\188\137\229\133\165."
--	STR_CHATLINK_LOADED_WARNING = "Not translated."

	-- System channel names.
	STR_GENERAL = "\231\182\156\229\144\136 -"
	STR_TRADE = "\228\186\164\230\152\147 -"
	STR_LFG = "\229\176\139\230\177\130\231\181\132\233\154\138"
	STR_LOCALDEF = "\230\156\172\229\156\176\233\152\178\229\139\153 -"
	STR_WORLDDEF = "\228\184\150\231\149\140\233\152\178\229\139\153"
	STR_GUILDREC = "\229\133\172\230\156\131\230\139\155\229\139\159"
end


-- SIMPLIFIED CHINESE LANGUAGE STRINGS.
if (GetLocale() == "zhCN") then
	-- Function strings.
	STR_CHATLINK_LOADED = "ChatLink %s \229\183\178\232\189\189\229\133\165."
--	STR_CHATLINK_LOADED_WARNING = "Not translated."

	-- System channel names.
	STR_GENERAL = "\231\187\188\229\144\136 -"
	STR_TRADE = "\228\186\164\230\152\147 -"
	STR_LFG = "\229\175\187\230\177\130\231\187\132\233\152\159"
	STR_LOCALDEF = "\230\156\172\229\156\176\233\152\178\229\138\161 -"
	STR_WORLDDEF = "\228\184\150\231\149\140\233\152\178\229\138\161"
	STR_GUILDREC = "\229\183\165\228\188\154\230\139\155\229\139\159"
end 

