local TidyPlatesConfig = CreateFrame("Frame")
-- >>> ------------------------------------------------------------------------------------------------- >>>
-- Auto-Loader
TidyPlatesConfig:RegisterEvent("VARIABLES_LOADED")
TidyPlatesConfig:SetScript("OnEvent", function(self)
	local _, theme
	if event == "VARIABLES_LOADED" then
	
		if TidyPlatesThemeList then
			-- New Format
			_, theme = next(TidyPlatesThemeList)
		else
			-- Legacy Format (Only Supporting Single Plates)
			if MY_NAMEPLATE_STYLE_BASIC then 
				theme = MY_NAMEPLATE_STYLE_BASIC
				if NAMEPLATE_SPECIALTEXT_DELEGATE then theme.SetSpecialText = NAMEPLATE_SPECIALTEXT_DELEGATE end
				if NAMEPLATE_ALPHA_DELEGATE then theme.SetAlpha = NAMEPLATE_ALPHA_DELEGATE end
				
				theme.healthborder = {}
				theme.castborder = {}
				theme.threatborder = {}
				
				-- Convert to new style
				theme.healthborder.texture = MY_NAMEPLATE_STYLE_BASIC.textures.standardtexture
				theme.healthborder.eliteTexture = MY_NAMEPLATE_STYLE_BASIC.textures.eliteTexture
				theme.healthborder.glowtexture = MY_NAMEPLATE_STYLE_BASIC.textures.glowtexture
				
				theme.threatborder.texture = MY_NAMEPLATE_STYLE_BASIC.textures.nonEliteThreatTexture
				theme.threatborder.eliteTexture = MY_NAMEPLATE_STYLE_BASIC.textures.eliteThreatTexture
				
				theme.castborder.texture = MY_NAMEPLATE_STYLE_BASIC.textures.casttexture
				
				theme.healthborder.width = MY_NAMEPLATE_STYLE_BASIC.textures.width
				theme.healthborder.height = MY_NAMEPLATE_STYLE_BASIC.textures.height
				theme.healthborder.x = MY_NAMEPLATE_STYLE_BASIC.textures.x
				theme.healthborder.y = MY_NAMEPLATE_STYLE_BASIC.textures.y
				theme.healthborder.anchor = MY_NAMEPLATE_STYLE_BASIC.textures.anchor
				
				theme.threatborder.width = MY_NAMEPLATE_STYLE_BASIC.textures.width
				theme.threatborder.height = MY_NAMEPLATE_STYLE_BASIC.textures.height
				theme.threatborder.x = MY_NAMEPLATE_STYLE_BASIC.textures.x
				theme.threatborder.y = MY_NAMEPLATE_STYLE_BASIC.textures.y
				theme.threatborder.anchor = MY_NAMEPLATE_STYLE_BASIC.textures.anchor
				
				theme.castborder.width = MY_NAMEPLATE_STYLE_BASIC.textures.width
				theme.castborder.height = MY_NAMEPLATE_STYLE_BASIC.textures.height
				theme.castborder.x = MY_NAMEPLATE_STYLE_BASIC.textures.x
				theme.castborder.y = MY_NAMEPLATE_STYLE_BASIC.textures.y
				theme.castborder.anchor = MY_NAMEPLATE_STYLE_BASIC.textures.anchor
				

			end
		end
		
		if theme then TidyPlates:UseTheme(theme) end
	
	end
end)
-- >>> ------------------------------------------------------------------------------------------------- >>>
local function TidyPlatesCommandLine(commandLine)
	local _, _, verb, noun = string.find( commandLine, "(%w+)[%s%p]*(.*)")
	if not TidyPlatesThemeList then return end
	if verb == "use" then
		if TidyPlatesThemeList[noun] then TidyPlates:UseTheme(TidyPlatesThemeList[noun]) end
	elseif verb == "list" then
		for index, data in pairs(TidyPlatesThemeList) do ChatFrame1:AddMessage(tostring(index)) end 
	end
end
SLASH_TIDYPLATES1 = '/tidyplates'
SLASH_TIDYPLATES2 = '/tpt'
SlashCmdList['TIDYPLATES'] = TidyPlatesCommandLine;
-- >>> ------------------------------------------------------------------------------------------------- >>>




	
 

	